#
# Functions
#

plot_key = function(segment_line) {
  code = unique(segment_line$Code)
  point_size = 2
  line_size = 1
  G = ggplot(segment_line, aes(x=X, y=Y)) +
    geom_line(size=line_size) + 
    geom_line(data=subset(segment_line, BCline==1), colour="red", size=line_size) +
    geom_point(data=subset(segment_line, BC==1), colour="red", size=point_size) +
    geom_point(data=subset(segment_line, BC==0), size=point_size) +
    labs(x="", y="") +
    ylim(0,12) +
    theme(panel.background=element_blank(),
          axis.line=element_blank(),
          axis.ticks=element_blank(),
          axis.text=element_blank(),
          legend.position="none",
          plot.margin = unit(c(2,2,-4,-4), "mm")
         ) 
  tiff(paste0("output/keys/fig-S1-key-", code,".tif"), 50, 50, type="windows")
  grid.draw(G)
  dev.off()
}

#
# Main
#

# Read segment lines
segment_lines = read.table("input/segment-lines.txt", header=TRUE)
segment_lines$Code = factor(segment_lines$Code)

# Make a TIFF file for each type (Code)
d_ply(segment_lines, .(Code), plot_key)

